@keyframes hourglass-rotation {
  50% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(180deg);
  }
}
@keyframes hourglass-sand-down {
  0% {
    content: '\f252';
  }
  100% {
    content: '\f253';
  }
}

.hourglassAnimation {
  animation-name: hourglass-rotation;
  animation-duration: 2s;
  animation-iteration-count: infinite;
}
.hourglassAnimation:before {
  color: #ffb822;
  animation-name: hourglass-sand-down;

  animation-duration: 2s;
  animation-delay: 2s;
  animation-iteration-count: infinite;
}

.copy_input_group {
  cursor: pointer !important;
}

.copy_input_group input {
  cursor: pointer !important;
  padding-right: 40px !important;
}

.copy_input_group i {
  position: absolute !important;
  right: 30px !important;
  margin-top: 12px !important;
}

@font-face {
  font-family: 'password';
  src: url(password.ttf);
}
input.pw {
  letter-spacing: 1.5px;
  font-kerning: none;
  font-family: 'password' !important;
}
input.pw::-webkit-input-placeholder {
  letter-spacing: normal;
  font-kerning: none;
  font-family: sans-serif, Arial;
}
input.pw:-ms-input-placeholder {
  letter-spacing: normal;
  font-kerning: none;
  font-family: sans-serif, Arial;
}
input.pw:-moz-placeholder {
  letter-spacing: normal;
  font-kerning: none;
  font-family: sans-serif, Arial;
}
input.pw::-moz-placeholder {
  letter-spacing: normal;
  font-kerning: none;
  font-family: sans-serif, Arial;
}

.login_bg_img {
  background: url('../../../public/assets/img/1.png') no-repeat top right white !important;
  background-size: contain !important;
}
.pw_input_group input {
  padding-right: 40px !important;
}
.pw_input_group_login input {
  padding-right: 40px !important;
}

.pw_input_group i:not(.pwValidationDiv i) {
  color: #575962 !important;
  cursor: pointer !important;
  position: absolute !important;
  right: 30px !important;
  margin-top: 12px !important;
}
.pw_input_group_login i:not(.pwValidationDiv i) {
  color: #575962 !important;
  cursor: pointer !important;
  position: absolute !important;
  right: 15px !important;
  margin-top: 14px !important;
}

.m-checkbox {
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.select2-container--default .select2-search--dropdown {
  padding-bottom: 0 !important;
}
.select2-results {
  padding-top: 15px !important;
}

.alert.m-alert--outline.alert-danger,
.alert.m-alert--outline.alert-success {
  padding-right: 45px;
}
.alert.m-alert--outline.alert-danger span,
.alert.m-alert--outline.alert-success span {
  word-break: break-word;
}

html,
body {
  font-weight: 500;
}
body:not(.m-aside-left--fixed)
  .m-aside-menu
  .m-menu__nav
  > .m-menu__item
  > .m-menu__submenu {
  margin-left: 200px !important;
}
hr {
  margin: 5px;
}
a:hover {
  color: #2b8be9;
}
.modal-xl {
  max-width: 90%;
}
.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
  color: #fff;
  background-color: #1173d6;
  border-color: #1173d6;
}
.m-aside-left {
  width: 200px;
}
.m-brand {
  width: 200px;
  padding: 0 15px;
}
.modal-body .close {
  position: absolute;
  width: 32px;
  height: 32px;
  top: 0;
  right: 0;
  background: #ddd;
}
.modal-body .close:before {
  content: '✖';
  font-size: initial;
  line-height: normal;
}
.breadcrump-main {
  width: 100%;
  background: #fff;
  padding-left: 10px;
}
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item.m-menu__item--active
  > .m-menu__heading
  .m-menu__link-icon,
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item.m-menu__item--active
  > .m-menu__link
  .m-menu__link-icon {
  color: #2b8be9;
}

/*i.m-menu__link-icon.fa, i.m-menu__ver-arrow.fa, span.m-menu__link-text{color: #fff !important;}
.submenu_2_level:hover i.m-menu__link-icon.fa, .submenu_2_level:hover i.m-menu__ver-arrow.fa, .submenu_2_level:hover span.m-menu__link-text{color: #aaa !important;}*/

.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item.m-menu__item--active
  > .m-menu__heading
  .m-menu__link-text,
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item.m-menu__item--active
  > .m-menu__link
  .m-menu__link-text {
  color: #2b8be9;
}
.m-aside-menu
  .m-menu__nav
  > .m-menu__item.m-menu__item--active
  > .m-menu__link {
  background: #000e1b;
}
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover {
  background-color: #000e1b;
}

.m-topbar
  .m-topbar__nav.m-nav
  > .m-nav__item.m-topbar__user-profile.m-topbar__user-profile--img.m-dropdown--arrow
  .m-dropdown__arrow {
  color: #588dbf;
}

.m-login.m-login--1 .m-login__wrapper {
  padding: 20% 2rem 2rem;
}
.m-login.m-login--1 .m-login__content .m-login__welcome {
  text-shadow: 3px 3px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000,
    -1px 1px 0 #000, 1px 1px 0 #000; /*background: rgba(0,0,0,0.5);*/
  padding: 0 10px;
  border-radius: 10px;
}
.m-login.m-login--1 .m-login__content .m-login__welcome {
  text-shadow: 3px 3px 0 #000, -1px -1px 25px #000, 1px -1px 25px #000,
    -1px 1px 25px #000, 1px 1px 25px #000 !important;
}
.m-login.m-login--1 .m-login__wrapper .m-login__form {
  margin-top: 1rem;
}
.m-brand .m-brand__logo .m-brand__logo-wrapper {
  max-width: 200px;
}
.modal .modal-content .modal-header .close:before {
  content: '✖';
  font-size: initial;
  line-height: normal;
}
.m-switch.m-switch--icon input:checked ~ span:after {
  content: '⬤';
}
.m-switch.m-switch--icon input:empty ~ span:after {
  content: '⬤';
}
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item
  > .m-menu__heading
  .m-menu__link-icon,
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item
  > .m-menu__link
  .m-menu__link-icon {
  color: #ddd;
}
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item
  > .m-menu__heading
  .m-menu__link-text,
.m-aside-menu.m-aside-menu--skin-dark
  .m-menu__nav
  > .m-menu__item
  > .m-menu__link
  .m-menu__link-text {
  color: #ddd;
}
.m-aside-left--minimize
  .m-aside-menu.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__heading
  .m-menu__link-bullet.m-menu__link-bullet--dot
  > span,
.m-aside-left--minimize
  .m-aside-menu.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__link
  .m-menu__link-bullet.m-menu__link-bullet--dot
  > span,
.m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__heading
  .m-menu__link-bullet.m-menu__link-bullet--dot
  > span,
.m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__link
  .m-menu__link-bullet.m-menu__link-bullet--dot
  > span {
  background-color: #ddd;
}
.m-aside-left--minimize
  .m-aside-menu.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__heading
  .m-menu__link-text,
.m-aside-left--minimize
  .m-aside-menu.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__link
  .m-menu__link-text,
.m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__heading
  .m-menu__link-text,
.m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item:not(.m-menu__item--parent):not(.m-menu__item--open):not(.m-menu__item--expanded):not(.m-menu__item--active):hover
  > .m-menu__link
  .m-menu__link-text {
  color: #ddd;
}
.m-aside-left--minimize
  .m-aside-menu.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item
  > .m-menu__heading
  .m-menu__link-text,
.m-aside-left--minimize
  .m-aside-menu.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item
  > .m-menu__link
  .m-menu__link-text,
.m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item
  > .m-menu__heading
  .m-menu__link-text,
.m-aside-menu.m-aside-menu--dropdown.m-aside-menu--submenu-skin-dark
  .m-menu__nav
  .m-menu__item:not([m-menu-submenu-mode='accordion']).m-menu__item--hover
  > .m-menu__submenu
  .m-menu__subnav
  .m-menu__item
  > .m-menu__link
  .m-menu__link-text {
  color: #ddd;
}
.m-accordion
  .m-accordion__item
  .m-accordion__item-head.collapsed
  .m-accordion__item-mode:before {
  content: '' !important;
}
.m-accordion
  .m-accordion__item
  .m-accordion__item-head
  .m-accordion__item-mode:before {
  content: '' !important;
}
.account_box_icon {
  color: #558ebe;
}

.btn.default {
  color: #333333;
  text-shadow: none;
  background-color: #e5e5e5;
}
.btn.red {
  color: white;
  text-shadow: none;
  background-color: #d84a38;
}
.thumbnail {
  display: block;
  padding: 4px;
  margin-bottom: 20px;
  line-height: 1.42857143;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.fileinput-exists .fileinput-new,
.fileinput-new .fileinput-exists {
  display: none;
}

.m-subheader
  .m-subheader__breadcrumbs.m-nav
  > .m-nav__item
  > .m-nav__link
  > .m-nav__link-text {
  text-align: center;
  width: initial;
}

.m-widget29 .dashboard_box {
  padding: 20px;
}
.m-widget29 .dashboard_box .m-widget_content-title .caption,
.m-widget29 .dashboard_box .m-widget_content-title .fa {
  font-size: 22px;
}

/* ------- Datatables Start -------- */
.table tr {
  white-space: nowrap;
}
.dataTables_wrapper .dataTable {
  margin: 0 !important;
}
.DTFC_Cloned {
  margin: 0 !important;
}
.m-form.m-form--group-seperator-dashed .m-form__group {
  border-bottom: 0px dashed #ebedf2;
}
.m-form.m-form--group-seperator-dashed .m-form__group,
.m-form.m-form--group-seperator .m-form__group {
  padding-top: 10px;
  padding-bottom: 10px;
}
.dataTables_length select {
  width: auto;
  display: inline-block;
  border-color: #ebedf2;
  color: #575962;
  font-family: sans-serif, Arial;
  border-radius: 0.25rem;
  padding: 5px;
}
.dataTables_filter input {
  border: 0.1rem solid #ebedf2;
  color: #575962;
  font-family: sans-serif, Arial;
  border-radius: 0.25rem;
  display: inline-block;
  width: auto;
  padding: 3px;
}
.custom_previous {
  margin-right: 10px;
}
.custom_next {
  margin-left: 10px;
}
.custom_numbers {
  min-width: 32px;
  height: 32px;
  margin: 0 1px;
}
table.dataTable tr th.select-checkbox.selected::after {
  content: '✔';
  margin-top: -11px;
  margin-left: -4px;
  text-align: center;
  text-shadow: rgb(176, 190, 217) 1px 1px, rgb(176, 190, 217) -1px -1px,
    rgb(176, 190, 217) 1px -1px, rgb(176, 190, 217) -1px 1px;
}

/* ------- Datatables End -------- */

.hide {
  display: none !important;
}

/*For Clipboard*/
#myInput {
  position: absolute;
  left: -9999px;
}
/*For Clipboard*/
.select2.select2-container {
  width: 100% !important;
}
.select2-container--open {
  z-index: 89;
}
.modal-open {
  overflow: hidden !important;
}
.modal-open .select2-container--open {
  z-index: unset;
}
.m-tooltip.m-tooltip--skin-dark .tooltip-inner {
  color: #eee;
}
.address_box.m--bg-default .m-portlet__head-text {
  color: #555 !important;
}
.my-portlet-shadow {
  border-radius: 5px;
  box-shadow: 0px 0px 8px #fff;
  border-bottom: 5px solid #5867dd;
}
.content_list_left.m-nav.m-nav--hover-bg .m-nav__item > .m-nav__link {
  padding: 12px 38px 12px 10px;
}

/*more less text*/
a.morelink {
  text-decoration: none;
  outline: none;
}
.morecontent span {
  display: none;
}
/*more less text*/
.tagsinput {
  height: 41px !important;
}
.preview_outer {
  width: 320px;
  max-width: 320px;
  height: 624px;
  left: 0;
  right: 0;
  position: absolute;
  margin: 0 auto;
  background: url('../img/iphone-frame.png') center center no-repeat;
  background-size: contain;
  z-index: 9;
}
.preview_outer_universal_storage {
  width: 320px;
  max-width: 320px;
  height: 250px;
  left: 50px;
  right: 0;
  /* top: 10px; */
  position: absolute;
  margin: 0 auto;
  /* background: url('../img/iphone-frame-half.png') center center no-repeat; */
  background: url('../img/iphone-frame-half.png') center center no-repeat;
  background-size: contain;
  z-index: 9;
}

.btn-storpass{ 
  margin-top: 100px;
}
.preview_outer_storpass {
  width: 320px;
  max-width: 320px;
  height: 624px;
  left: 0;
  right: 0;
  position: absolute;
  margin: 0 auto;
  background: url('../img/storpass_modal/phone_shell.png') center center no-repeat;
  background-size: contain;
  z-index: 9;
}
.preview_inner
/*.preview_push*/ {
  position: relative;
  top: 82px;
  left: 25px;
}
.preview_iframe {
  height: 460px;
  width: 270px;
}
.minicolors-theme-bootstrap.minicolors-position-right .minicolors-swatch {
  right: 5px;
  top: 5px;
  cursor: pointer;
}
.m-widget1 .m-widget1__item .m-widget1__title {
  font-size: 1.1rem;
}

.no-pass-shell{
  background: none !important;
}

.no-pass-content #passDesignPreview{
  display: none !important;
}

/*copybord css*/
.cst {
  cursor: pointer;
}
/*Dropdown Category CSS*/
.select2-container--default .select2-results__option .select2-results__group {
  font-weight: 650;
}
/*tooltip popover*/
.m-popover.m-popover--skin-dark.popover .popover-body {
  color: #fff;
}
.modal-open .m-popover.m-popover--skin-dark.popover {
  z-index: 1060 !important;
}
.m-popover.m-popover--skin-dark.popover {
  z-index: 90 !important;
}

/* ---------------- Content -------------- */
.content_color .m-radio-list {
  margin-left: -5px;
}
.content_color_box_inner {
  width: 50px;
  height: 50px;
  text-align: center;
  margin: 0 auto;
  border-radius: 5px;
}

/*Datatable proccesing event*/
.dataTables_processing {
  z-index: 9 !important;
}
/*Datatable proccesing event*/
/*Wizard custom css*/
.m-wizard__nav {
  padding: 0 5px;
}
.m-wizard.m-wizard--4
  .m-wizard__head
  .m-wizard__nav
  .m-wizard__steps
  .m-wizard__step {
  display: table-cell;
  vertical-align: middle;
  padding: 4px;
}
.m-wizard.m-wizard--4 .m-wizard__form {
  padding: 0.2rem 4rem 2rem;
}
.m-wizard.m-wizard--4
  .m-wizard__head
  .m-wizard__nav
  .m-wizard__steps
  .m-wizard__step
  .m-wizard__step-info {
  padding: 0 10px 0 0;
}
.m-wizard.m-wizard--4
  .m-wizard__head
  .m-wizard__nav
  .m-wizard__steps
  .m-wizard__step
  .m-wizard__step-info
  .m-wizard__step-number
  > span {
  width: 30px;
  height: 30px;
}
.m-wizard.m-wizard--4
  .m-wizard__head
  .m-wizard__nav
  .m-wizard__steps
  .m-wizard__step
  .m-wizard__step-info
  .m-wizard__step-number
  > span
  > span {
  font-size: 16px;
}
.m-wizard.m-wizard--4
  .m-wizard__head
  .m-wizard__nav
  .m-wizard__steps
  .m-wizard__step
  .m-wizard__step-info
  .m-wizard__step-label {
  display: table-cell;
  vertical-align: middle;
  font-weight: 500;
  padding-left: 5px;
  width: 100%;
}
.m-wizard.m-wizard--4
  .m-wizard__head
  .m-wizard__nav
  .m-wizard__steps
  .m-wizard__step
  .m-wizard__step-info
  .m-wizard__step-icon {
  padding-left: 5px;
}
.m-wizard.m-wizard--4 .m-wizard__head {
  padding: 0;
  border-bottom: 1px solid #d6d6d6;
  padding-bottom: 20px;
}
/*Wizard custom css*/

/*App relevance tab*/

.fa-egg:before {
  content: '\f7fb';
}
.slim {
  /*border-style: dashed;*/
  border: 2px dashed #c8c3c3;
}

.form-control:disabled,
.form-control[readonly] {
  background-color: #e9ecef;
  border: 1px solid #ccc;
  cursor: not-allowed;
}

.dataTables_empty {
  text-align: left !important;
  padding-left: 18px !important;
}
.img_drag_drop {
  width: 22px;
  margin-top: 3px;
}
.btn-remove {
  padding: 10px 0px;
  margin: 5px 0;
  width: 40px;
  height: 40px;
}

.btn-add {
  padding: 10px 0px;
  /*margin: 5px 0;*/
  width: 40px;
  height: 40px;
}

.drag_drop_icon {
  padding: 5px 5px;
  margin: 5px 5px 0 0;
  cursor: grabbing;
  border-color: #d6d6d6;
  height: 40px;
  width: 40px;
}
.allanalytic {
  font-size: 18px;
  line-height: 36px;
}
.allContentLogs {
  font-size: 18px;
  line-height: 36px;
  float: left;
}
/*phyrem stripe image*/
.phy_str_img {
  width: 500px;
  margin: 0 auto;
  max-width: 100%;
  /* height: 225px;*/
}
.connect-box {
  background-color: #f5f9fb;
}

.connect-box .info {
  vertical-align: top;
}
.connect-box .info,
.connect-box .actions {
  box-sizing: border-box;
  display: -webkit-inline-box;
  width: 50%;
}
.connect-box .actions {
  margin: 44px 0;
  padding-right: 40px;
  display: inline-flex;
  margin-left: 130px;
}

.actions_disconnect {
  margin: 44px 0;
  padding-right: 40px;
  display: inline-flex;
  /* margin-left: 185px;  */
}
.connect-box .info.iconed .account_info {
  width: 65%;
  line-height: 1em;
}

.connect-box .circle-option-icon {
  background-color: #fff;
  margin: 20px 25px 20px 42px;
}

.circle-option-icon {
  display: block;
  width: 95px;
  height: 95px;
  /*float: left;*/
  font-size: 50px;
  line-height: 2em;
  text-align: center;
  color: #444;
  background-color: #f5f9fb;
  border-radius: 50%/50%;
  margin: 0 27px 0 0;
}
.circle-option-icon.icon-logo-stripe {
  color: #6772e5;
  line-height: 2.2em;
  font-size: 46px;
}
.account_title {
  margin-top: 40px;
  color: rgba(0, 0, 0, 0.44);
}
.m-footer {
  margin-left: 200px !important;
}

.synced_pass_div {
  padding: 15px;
  border: 1px solid #ccc;
  width: fit-content;
  max-width: 300px;
  border-radius: 10px;
}
.synced_pass_div .synced_pass_img_div {
  height: 170px;
  overflow: hidden;
  border-radius: 10px;
  border: 1px solid #ccc;
  box-shadow: 1px 1px 5px #888888;
}
.synced_pass_div .synced_pass_img_div img {
  height: 385px;
  min-width: 264px;
  border: 0;
  padding: 0;
}
.synced_pass_div .synced_pass_title {
  text-align: center;
  margin: 15px 0;
}
.synced_pass_div .synced_pass_button_div {
  text-align: center;
}
.synced_pass_div .synced_pass_button_div .pass_edit_btn {
  margin-right: 20px;
}
#m_aside_left {
  z-index: 99 !important;
}
.m-dropdown .m-dropdown__wrapper {
  z-index: 98 !important;
}
.emojionearea-button-open {
  background: url('https://cdn.jsdelivr.net/emojione/assets/3.1/png/32/1f642.png')
    no-repeat center !important;
  -webkit-background-size: cover !important;
  -moz-background-size: cover !important;
  -o-background-size: cover !important;
  background-size: cover !important;
}
.custEmojioneareaBtn,
.custEmojioneareaBtnPush{
    background: url('https://cdn.jsdelivr.net/emojione/assets/3.1/png/32/1f642.png') no-repeat center !important;
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;

  width: 20px;
  height: 20px;
  border: 0 !important;
  margin: -5px auto;
  display: inline-block;
  cursor: pointer;
}
.break_all {
  word-break: break-all;
}
.break_word {
  word-break: break-word;
}
.header_font_wight {
  font-weight: 600 !important;
}
.span_font_wight {
  font-weight: 400 !important;
}
.popup_sub_header {
  font-size: 18px;
  /*line-height: 36px;*/
}
.push_title {
  padding-bottom: 5px;
}
.emojionearea .emojionearea-editor {
  min-height: 9.5em;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__arrow::before,
.select2-container--default
  .select2-selection--multiple
  .select2-selection__arrow::before {
  content: '▼' !important;
}
.custom_more {
  /*border: none !important;*/
  padding-top: 14px;
  /*border-bottom: 1px solid #2B8BE9 !important;*/
}
.m-tabs-line.m-tabs-line--primary.nav.nav-tabs .nav-link:hover,
.m-tabs-line.m-tabs-line--primary.nav.nav-tabs .nav-link.active,
.m-tabs-line.m-tabs-line--primary a.m-tabs__link:hover,
.m-tabs-line.m-tabs-line--primary a.m-tabs__link.active {
  border: 1px solid #2b8be9;
  padding: 10px;
  background: #2b8be9;
  color: #fff;
}

.m-tabs-line.nav.nav-tabs .nav-link,
.m-tabs-line a.m-tabs__link {
  border-bottom-width: 4px !important;
  border-bottom: 5px solid #7b7e8a;
  border: 1px solid #7b7e8a;
  padding: 10px;
}

.m-tabs-line .m-tabs__item {
  margin-right: 0px;
}
.custom_head {
  /*height: 20px !important;*/
  margin-top: 18px;
  /*margin-left: -28px;*/
}
.dropdown-menu > li > .more_link {
  padding: 0.7rem 1.2rem;
  border: none !important;
  width: 100%;
}
.dropdown-menu > li:first-child {
  margin-left: 5px !important;
}

.dropdown-menu > li.textcomplete-item {
  margin-left: 0px !important;
}

.mini_pro_p {
  font-size: 15px;
}
.nav-link.dropdown-toggle:after,
.btn.dropdown-toggle:after {
  content: '⏷';
}

.m-portlet.m-portlet--head-sm .m-portlet__head.custPortlet {
  height: 4.1rem !important;
}

.m-portlet.m-portlet--sticky .m-portlet__head.custPortlet {
  position: relative !important;
  -webkit-box-shadow: unset !important;
  box-shadow: unset !important;
  z-index: unset !important;
  background: #f4f5f8 !important;
}

.has-danger .slim {
  border: 2px dashed #f4516c !important;
}

.wallet_push_main_containers {
  padding-bottom: 0px !important;
}

.required {
  color: #fc3d3e;
}

.tab-content .m-content {
  border-top: 1px solid #ebedf2 !important;
  position: relative;
}

.m-portlet.m-portlet--tabs .m-portlet__head {
  border-bottom: none !important;
}

.m-portlet.m-portlet--tabs
  .m-portlet__head
  .m-portlet__head-tools
  .m-tabs-line
  .m-tabs__item {
  margin-left: 3px !important;
  margin-bottom: 3px !important;
}

.m-portlet.m-portlet--tabs
  .m-portlet__head
  .m-portlet__head-tools
  .m-tabs-line
  .m-tabs__link {
  border-radius: 8px !important;
  border-bottom-width: 2px !important;
}

.m_topbar_progressbar_container {
  text-align: center;
  width: 230px;
  vertical-align: middle;
  margin: 25px 5px 0 5px;
  border-radius: 50%;
}

.m_topbar_progressbar_text {
  color: #2b8be9;
}

.progress {
  border-radius: 10px;
}

.progress_indicator_front_text {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  color: black;
  transition: clip-path 1s linear;
}

.progress_indicator_back_text {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  color: white;
  top: -2px;
}

.m_topbar_progressbar_indicator {
  position: relative;
  display: flex;
  border: 1px solid #282a3c;
  border-radius: 8px;
  overflow: hidden;
}

.m_topbar_progressbar_indicator .progress-bar {
  border-radius: 10px;
}

.rounded_rect_img {
  object-fit: cover;
  height: 50px;
  width: 50px;
}

.no_permission_image_container {
  padding-top: 5%;
}

.no_permission_image {
  width: 100%;
}

.no_permission_header_container {
  padding-top: 17%;
  padding-left: 32%;
  min-height: 645px !important;
}

.no_permission_main_header {
  font-size: 27px;
  font-weight: 700;
  color: #2281e1;
}

.no_permission_sub_header {
  font-size: 14px;
}

@media only screen and (min-width: 1025px) {
  .no_permission_image_container {
    padding-top: 25%;
  }
  
  .no_permission_image {
    width: 54%;
  }
  
  .no_permission_header_container {
    padding-top: 32%;
    padding-left: 23%;
  }
  
  .no_permission_main_header {
    font-size: 24px;
  }
  
  .no_permission_sub_header {
    font-size: 14px;
  }
}

@media only screen and (min-width: 1200px) {
  .no_permission_image_container {
    padding-top: 20%;
  }
  
  .no_permission_image {
    width: 60%;
  }
  
  .no_permission_header_container {
    padding-top: 29%;
    padding-left: 23%;
  }
  
  .no_permission_main_header {
    font-size: 31px;
  }
  
  .no_permission_sub_header {
    font-size: 14px;
  }
}

@media only screen and (min-width: 1300px) {
  .no_permission_image_container {
    padding-top: 15%;
  }
  
  .no_permission_image {
    width: 65%;
  }
  
  .no_permission_header_container {
    padding-top: 26%;
    padding-left: 23%;
  }
  
  .no_permission_main_header {
    font-size: 31px;
  }
  
  .no_permission_sub_header {
    font-size: 14px;
  }
} 

@media only screen and (min-width: 1440px) {
  .no_permission_image_container {
    padding-top: 15%;
  }
  
  .no_permission_image {
    width: 60%;
  }
  
  .no_permission_header_container {
    padding-top: 26%;
    padding-left: 27%;
  }
  
  .no_permission_main_header {
    font-size: 31px;
  }
  
  .no_permission_sub_header {
    font-size: 14px;
  }
} 

@media only screen and (min-width: 1920px) {
  .no_permission_image_container {
    padding-top: 5%;
  }
  
  .no_permission_image {
    width: 60%;
  }
  
  .no_permission_header_container {
    padding-top: 17%;
    padding-left: 32%;
  }
  
  .no_permission_main_header {
    font-size: 27px;
  }
  
  .no_permission_sub_header {
    font-size: 14px;
  }
}

@media only screen and (max-width: 768px) {
  /* For mobile phones: */
  .no_permission_image_container {
    margin: 20px;
  }

  .no_permission_header_container {
    padding-top: 10px;
    padding-left: 30px;
    height: auto;
    min-height: 100px !important;
  }
}

#select2-qr_from_range-container,
#select2-qr_to_range-container {
  min-height: 38px !important;
}

.formatOptionWrapper {
  padding-bottom: 25px;
  min-height: 50px;
}

.formatOptionWrapperInner {
  width: 48%;
  display: flex;
}

.formatOptionWrapper select, .formatOptionWrapper .select2.select2-container {
  width: 90px !important;
}

.formatOptionWrapper input {
  width: 100% !important;
}

.m-checkbox-inline.m-checkbox-inline-has-popover {
  padding-top: 10px;
}

.m-checkbox-inline.m-checkbox-inline-has-popover .m-checkbox-popover {
  position: absolute;
  right: -20px;
  top: 1px;
}

/*Select2 ReadOnly Start*/
select[readonly].select2-hidden-accessible + .select2-container {
  pointer-events: none;
  touch-action: none;
}

select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
  background: #eee;
  box-shadow: none;
}
/*Select2 ReadOnly End*/

.swal2-modal{
  z-index: 9999;
}

.minicolors-panel{
  z-index: 8;
}

.imagePreview {
  width: 100%;
  height: 180px;
  background-position: center center;
  background:url(http://cliquecities.com/assets/no-image-e3699ae23f866f6cbdf8ba2443ee5c4e.jpg);
  background-color:#fff;
  background-size: cover;
  background-repeat:no-repeat;
  display: inline-block;
  box-shadow:0px -3px 6px 2px rgba(0,0,0,0.2);
}
.imgUp
{
margin-bottom:15px;
}
.del
{
position:absolute;
top:0px;
right:15px;
width:30px;
height:30px;
text-align:center;
line-height:30px;
background-color:rgba(255,255,255,0.6);
cursor:pointer;
}
.imgAdd
{
width:30px;
height:30px;
border-radius:50%;
background-color:#4bd7ef;
color:#fff;
box-shadow:0px 0px 2px 1px rgba(0,0,0,0.2);
text-align:center;
line-height:30px;
margin-top:0px;
cursor:pointer;
font-size:15px;
}
.counter
{
    background-color: #eaecf0;
    text-align: center;
}
.card-statistics {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0.25rem;
  box-shadow: 1px 3px #00000012;
}
.info-stats{
  background-image: linear-gradient(376deg, #2077ff, #2676f2 , white);
}
.success-stats{
  background-image: linear-gradient(376deg, #07887b, #23c4b4 , white);
}
.warning-stats{
  background-image: linear-gradient(376deg, #dd9f18, #eeb437 , white);
}
.pink-stats{
  background-image: linear-gradient(376deg, #d12676, #eb4d97 , white);
}
.violet-stats{
  background-image: linear-gradient(376deg, #8a26bc, #b148e5 , white);
}
.rainbow-stats{
    background: conic-gradient(
                from 0deg,
                #3783cf,
                #25cab9,
                #f7bf46,
                #e74791,
                #ba51ef
            );
}
.card-statistics .icon-big .fa{
  font-size: 5em;
  min-height: 64px;
  padding-top: 17px;
}
.card-statistics .icon-big .far{
  font-size: 5em;
  min-height: 64px;
  padding-top: 17px;
}
.card-statistics .numbers {
  font-size: 21px;
  text-align: left;
  color:#a0a0a0;
}
.card-statistics .numbers p {
  margin: 0;
}
.icon-stats{
  border-radius: 1px 104px 0px 16px;
}
.card-statistics .fa {
  font-style: normal;
  font-weight: 700;
  font-variant: normal;
  text-transform: none;
  line-height: 1.42857;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.card-statistics .far {
  font-style: normal;
  font-weight: 700;
  font-variant: normal;
  text-transform: none;
  line-height: 1.42857;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.circle-design
{
    font-size: 24px;
    color: #000000;
    line-height: 34px;
}